| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros | Enumerations
dialog.h File Reference

## Classes

class | wxDialog
| A dialog box is a window with a title bar and sometimes a system menu, which can be moved around the screen. More...
class | wxDialogLayoutAdapter
| This abstract class is the base for classes that help wxWidgets perform run-time layout adaptation of dialogs. More...
class | wxWindowModalDialogEvent
| Event sent by wxDialog::ShowWindowModal() when the dialog closes. More...

## Macros

#define | wxDIALOG_NO_PARENT 0x00000020
| Don't make owned by apps top window.
#define | wxDEFAULT_DIALOG_STYLE (wxCAPTION | wxSYSTEM_MENU | wxCLOSE_BOX)
#define | wxDIALOG_ADAPTATION_NONE 0
| Don't do any layout adaptation.
#define | wxDIALOG_ADAPTATION_STANDARD_SIZER 1
| Only look for wxStdDialogButtonSizer for non-scrolling part.
#define | wxDIALOG_ADAPTATION_ANY_SIZER 2
| Also look for any suitable sizer for non-scrolling part.
#define | wxDIALOG_ADAPTATION_LOOSE_BUTTONS 3
| Also look for 'loose' standard buttons for non-scrolling part.

## Enumerations

enum | wxDialogLayoutAdaptationMode { wxDIALOG_ADAPTATION_MODE_DEFAULT = 0, wxDIALOG_ADAPTATION_MODE_ENABLED = 1, wxDIALOG_ADAPTATION_MODE_DISABLED = 2 }
| Modes used for wxDialog::SetLayoutAdaptationMode(). More...

## Macro Definition Documentation

#define wxDEFAULT_DIALOG_STYLE (wxCAPTION | wxSYSTEM_MENU | wxCLOSE_BOX)

#define wxDIALOG_ADAPTATION_ANY_SIZER 2

Also look for any suitable sizer for non-scrolling part.

#define wxDIALOG_ADAPTATION_LOOSE_BUTTONS 3

Also look for 'loose' standard buttons for non-scrolling part.

#define wxDIALOG_ADAPTATION_NONE 0

Don't do any layout adaptation.

#define wxDIALOG_ADAPTATION_STANDARD_SIZER 1

Only look for wxStdDialogButtonSizer for non-scrolling part.

#define wxDIALOG_NO_PARENT 0x00000020

Don't make owned by apps top window.

## Enumeration Type Documentation

enum wxDialogLayoutAdaptationMode

Modes used for wxDialog::SetLayoutAdaptationMode().

Enumerator:

  wxDIALOG_ADAPTATION_MODE_DEFAULT | Use global adaptation enabled status.
  wxDIALOG_ADAPTATION_MODE_ENABLED | Enable this dialog overriding global status.
  wxDIALOG_ADAPTATION_MODE_DISABLED | Disable this dialog overriding global status.